## breezy 3.0.1

=== debian/changelog ===
breezy (3.0.1-6) unstable; urgency=medium

  * Drop unnecessary build dependency on cython-dbg.
  * Use python3:Depends for brz package.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Sep 2019 23:03:02 +0000

breezy (3.0.1-5) unstable; urgency=medium

  * Add Provides for bzr and the bzr plugins bundled by Breezy ahead of
    transition from Bazaar to Breezy.
  * Bump Breezy's default alterantives priority for the bzr command to 50,
    higher than that of Bazaar.
  * Drop Python 2 packages; they no longer build since the removal
    of python-testtools and python-subunit. Closes: #940684, #936237
  * Add dependency on python3-six, previously pulled in indirectly.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Sep 2019 09:36:44 +0000

breezy (3.0.1-4) unstable; urgency=medium

  * debian/tests/control: Drop use of removed python-meliae package. Closes: #939887

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 10 Sep 2019 20:40:13 +0000

breezy (3.0.1-3) unstable; urgency=medium

  * Bump up priority of Breezy for the 'bzr' command, ahead of the bzr
    => brz transition.
  * Drop build dependency on python-meliae, since it's being removed
    from unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 31 Aug 2019 21:48:02 +0000

breezy (3.0.1-2) unstable; urgency=medium

  * Update standards version, no changes needed.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Drop recommends of soon-to-be-removed python-gitlab. Closes: #935397

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 24 Aug 2019 14:31:41 +0000

breezy (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch 24_revno_order: merged upstream.
  * Upload to unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 07 Jul 2019 14:29:07 +0000

=== debian/control ===
Source: breezy
Section: vcs
Priority: optional
Maintainer: Debian Breezy Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: bash-completion,
               ca-certificates,
               dh-python,
               debhelper (>= 12),
               fdupes,
               cython3-dbg (>= 0.17),
               python3 (>= 2.6.6-3),
               python3-all-dbg (>= 2.6.6-3),
               python3-all-dev (>= 2.6.6-3),
               python3-configobj (>= 4.7.2+ds-2),
               python3-coverage <!nocheck>,
               python3-dulwich (>= 0.19.11),
               python3-docutils,
               python3-fastimport (>= 0.9.8),
               python3-launchpadlib,
               python3-paramiko,
               python3-six,
               python3-sphinx (>= 1.0.7+dfsg),
               python3-subunit,
               python3-testtools (>= 0.9.5~) <!nocheck>,
               debhelper-compat (= 12)
Standards-Version: 4.4.0
Vcs-Bzr: https://code.breezy-vcs.org/breezy/unstable
Vcs-Browser: https://code.breezy-vcs.org/breezy/unstable
Homepage: https://www.breezy-vcs.org/

Package: brz
Recommends: python3-gpg, python3-dulwich (>= 0.19.11)
Architecture: all
Depends: python3-breezy (<= ${source:Version}.1~),
         python3-breezy (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Conflicts: bzr (<< 2.7.0+bzr6622-1)
Suggests: brz-doc,
          python3-breezy.tests,
          python3-fastimport (>= 0.9.8)
Provides: bzr, bzr-stats, bzr-email, bzr-upload, bzr-git, bzr-fastimport
Description: easy to use distributed version control system
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many file formats and workflows, reliable,
 and easily extendable.
 .
 Out of the box, Breezy supports both the Git and Bazaar repository
 formats.

Package: python3-breezy
Architecture: any
Section: python
Depends: python3-configobj,
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: ca-certificates,
            python3-launchpadlib,
            python3-github,
            python3-gitlab,
            ssh-client | python3-paramiko,
            python3-dulwich (>= 0.19.11),
            python3-gpg,
Conflicts: python3-paramiko (<< 1.14.1), python3-dulwich (<< 0.19.11)
Suggests: python3-breezy-dbg,
          python3-breezy.tests,
          python3-fastimport,
          python3-kerberos (>= 1.0+svn2455-1),
          python3-paramiko,
          xdg-utils,
Provides: ${python3:Provides}
Description: distributed version control system - Python 3 library
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many file formats and workflows, reliable,
 and easily extendable.
 .
 This package contains the Breezy Python 3 library.

Package: python3-breezy.tests
Architecture: all
Section: python
Depends: python3-breezy (<= ${source:Version}.1~),
         python3-breezy (>= ${source:Version}),
         python3-testtools (>= 0.9.5~),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-subunit
Provides: ${python3:Provides}
Replaces: python3-breezy (<< 2.4.0~beta1-2)
Description: distributed version control system - Python 3 testsuite
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many file formats workflows, reliable, and
 easily extendable.
 .
 This package contains the breezy test infrastructure and testsuite,
 which is required to run the 'brz selftest' command and to run
 plugin tests.
 .
 This package contains the Python 3 version.

Package: brz-doc
Multi-Arch: foreign
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: brz
Description: easy to use distributed version control system (documentation)
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many file formats and workflows, reliable,
 and easily extendable.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

# Get the default Python version
PY3VERSION = $(shell py3versions -d -v)

export PYBUILD_NAME=breezy

%:
	dh $* --with python3,sphinxdoc,bash_completion  --buildsystem=pybuild

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BRZ_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	[ -d debian/brzhome ] || mkdir debian/brzhome
	$(CONCURRENCY) \
	BRZ_HOME=debian/brzhome \
	BRZ_PLUGIN_PATH=-site:-user \
	LC_ALL=C.UTF-8 \
	PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VERSION)_breezy/build \
	$(shell py3versions -d) ./brz -Derror selftest -v --parallel=fork \
	-Oselftest.timeout=6000 -x bash_completion \
	-x breezy.tests.test_transport.TestSSHConnections.test_bzr_connect_to_bzr_ssh
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/brzhome
	rm -f brzlib/*_pyx.c
	# It also doesn't really clean every thing...
	ls doc/en/user-reference/*txt | grep -v readme.txt | xargs rm -rf
	rm -rf doc/developers/make.bat \
		doc/developers/Makefile \
		doc/*/_build/ \
		doc/en/release-notes/index.txt

override_dh_install:
	dh_install
	for py in $(shell py3versions -r); do \
		mkdir -p debian/python3-breezy.tests/usr/lib/$$py/dist-packages/breezy; \
		mv debian/python3-breezy/usr/lib/$$py/dist-packages/breezy/tests \
			debian/python3-breezy.tests/usr/lib/$$py/dist-packages/breezy/tests; \
	done
	# Install the documentation; since html and txt and intermixed
	# under doc/, this is handier than trying to do it from brz-doc.install.
	( cd doc && find -name "*.txt" -not -wholename "*/_build/*" -print0 ) | \
		xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
		"debian/brz-doc/usr/share/doc/brz/txt/{}"
	rm debian/python3-breezy/usr/man/man1/brz.1 \
		debian/python3-breezy/usr/man/man1/git-remote-bzr.1 \
		debian/python3-breezy/usr/bin/bzr-receive-pack \
		debian/python3-breezy/usr/bin/brz \
		debian/python3-breezy/usr/bin/bzr-upload-pack \
		debian/python3-breezy/usr/bin/git-remote-bzr
	rmdir debian/python3-breezy/usr/man/man1 \
		  debian/python3-breezy/usr/man
	rm debian/python3-breezy-dbg/usr/man/man1/brz.1 \
		debian/python3-breezy-dbg/usr/man/man1/git-remote-bzr.1 \
		debian/python3-breezy-dbg/usr/bin/bzr-receive-pack \
		debian/python3-breezy-dbg/usr/bin/brz \
		debian/python3-breezy-dbg/usr/bin/bzr-upload-pack \
		debian/python3-breezy-dbg/usr/bin/git-remote-bzr
	rmdir debian/python3-breezy-dbg/usr/man/man1 \
		  debian/python3-breezy-dbg/usr/man

override_dh_auto_missing:
	dh_missing --fail-missing

override_dh_auto_build:
	dh_auto_build
	PYTHONHASHSEED=0 $(MAKE) docs-sphinx

override_dh_compress:
	dh_compress -X.xvg -X.pdf

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-breezy --dbgsym-migration='python3-breezy-dbg (<< 3.0.0~bzr7141-2)'
endif

override_dh_link:
	# symlink identical resources.
	( cd debian/brz-doc/usr/share/doc && fdupes -o name -r1q . | while read s; do \
	      set -- $$(echo $$s | tr ' ' '\n' | sort); \
	      f=$$1; shift; \
	      for d; do \
		  ln -sf /usr/share/doc/"$$d" "$$f"; \
	      done; \
	done )
	dh_link

override_dh_sphinxdoc:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh_sphinxdoc -X searchtools.js
endif
	# dh_sphinxdoc chokes if we delete the extra licence files before it runs.
	find debian/brz-doc/usr/share/doc/brz -name "licence.txt" -print | xargs rm -f

## breezy 3.0.2

=== debian/changelog ===
breezy (3.0.2-4ubuntu2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:24:59 +0100

breezy (3.0.2-4ubuntu1) focal; urgency=medium

  * Fix tests with Python 3.8 with cherry-picked upstream patch

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 10 Feb 2020 16:32:30 +0100

breezy (3.0.2-4) unstable; urgency=medium

  * Add patch 24_paramiko_compat: support newer versions of paramiko.
  * Add patch 25_line_buffering: disable line buffering when reading binary
    files. Closes: #950909

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 08 Feb 2020 13:27:57 +0000

breezy (3.0.2-3) unstable; urgency=medium

  * Fix support for Python 3.8. Closes: #949918
   + Add patch 22_fs_encoding: Disable tests that rely on changing filesystem
     encoding.
   + Add patch 23_xml_serializing: consistent output for XML serialization.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 31 Jan 2020 03:10:05 +0000

breezy (3.0.2-2) unstable; urgency=medium

  * Wrap long lines in changelog entries: 3.0.1-4, 2.4.0~beta4-4.
  * Drop transition for old debug package migration.
  * Use dh $@ sequencer.
  * Add patch 21_fix_ancient_time: Fix conversion of ctime to int on
    certain platforms. Closes: #949280

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 23 Jan 2020 03:14:51 +0000

breezy (3.0.2-1) unstable; urgency=medium

  * Fix bash completion script. Closes: #941532
  * Set Rules-Requires-Root.
  * Update standards version to 4.4.1, no changes needed.
  * Re-export upstream signing key without extra signatures.
  * New upstream release.
   + Adds support for Python 3.8. Closes: #943609
   + Fixes handling of missing .config/breezy directory.
     Closes: #943908, #944379

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 Nov 2019 02:09:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: breezy
 Section: vcs
 Priority: optional
-Maintainer: Debian Breezy Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Breezy Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: bash-completion,
                ca-certificates,
@@ -24,7 +25,8 @@
                python3-subunit,
                python3-testtools (>= 0.9.5~) <!nocheck>,
                debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Vcs-Bzr: https://code.breezy-vcs.org/breezy/unstable
 Vcs-Browser: https://code.breezy-vcs.org/breezy/unstable
 Homepage: https://www.breezy-vcs.org/

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export PYBUILD_NAME=breezy
 
 %:
-	dh $* --with python3,sphinxdoc,bash_completion  --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc,bash_completion  --buildsystem=pybuild
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 CONCURRENCY = BRZ_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -82,7 +82,7 @@
 
 override_dh_strip:
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	dh_strip -ppython3-breezy --dbgsym-migration='python3-breezy-dbg (<< 3.0.0~bzr7141-2)'
+	dh_strip -ppython3-breezy
 endif
 
 override_dh_link:

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/.0~beta/;s/a/.0~alpha/,pgpsigurlmangle=s/$/.asc/" \
https://launchpad.net/brz/+download https://launchpad.net/brz/.*/breezy-(.+).tar.gz

## breezy 3.1.0~bzr7295

=== debian/changelog ===
breezy (3.1.0~bzr7295-1) experimental; urgency=medium

  * New upstream snapshot.
  * Recommend quilt, now that breezy bundles a quilt plugin.
  * Recommend patch, for the patch subcommand.
  * Add conflicts with older versions of brz-debian, which also provide
    quilt support.
  * Add new dependency on patienceidff python module.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Jun 2019 14:15:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,28 @@
 Source: breezy
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Breezy Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Debian Breezy Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: bash-completion,
                ca-certificates,
+               cython-dbg (>= 0.29.1) <!nocheck>,
                dh-python,
                debhelper (>= 12),
                fdupes,
+               python (>= 2.6.6-3),
+               python-all-dbg (>= 2.6.6-3),
+               python-all-dev (>= 2.6.6-3),
+               python-configobj (>= 4.7.2+ds-2),
+               python-coverage,
+               python-dulwich (>= 0.19.11),
+               python-docutils,
+               python-fastimport (>= 0.9.8),
+               python-launchpadlib,
+               python-meliae-dbg,
+               python-paramiko,
+               python-patiencediff,
+               python-sphinx (>= 1.0.7+dfsg),
+               python-subunit,
                cython3-dbg (>= 0.17),
                python3 (>= 2.6.6-3),
                python3-all-dbg (>= 2.6.6-3),
@@ -20,29 +34,26 @@
                python3-fastimport (>= 0.9.8),
                python3-launchpadlib,
                python3-paramiko,
-               python3-six,
+               python3-patiencediff,
                python3-sphinx (>= 1.0.7+dfsg),
-               python3-subunit,
-               python3-testtools (>= 0.9.5~) <!nocheck>,
-               debhelper-compat (= 12)
-Standards-Version: 4.4.1
-Rules-Requires-Root: no
-Vcs-Bzr: https://code.breezy-vcs.org/breezy/unstable
-Vcs-Browser: https://code.breezy-vcs.org/breezy/unstable
+               python3-subunit <!nocheck>,
+               python3-testtools (>= 0.9.5~) <!nocheck>
+Standards-Version: 4.3.0
+Vcs-Bzr: https://code.breezy-vcs.org/breezy/experimental
+Vcs-Browser: https://code.breezy-vcs.org/breezy/experimental
 Homepage: https://www.breezy-vcs.org/
 
 Package: brz
-Recommends: python3-gpg, python3-dulwich (>= 0.19.11)
+Recommends: python3-gpg, python3-dulwich (>= 0.19.11), quilt, patch
 Architecture: all
 Depends: python3-breezy (<= ${source:Version}.1~),
          python3-breezy (>= ${source:Version}),
          ${misc:Depends},
-         ${python3:Depends}
+         ${python:Depends}
 Conflicts: bzr (<< 2.7.0+bzr6622-1)
 Suggests: brz-doc,
           python3-breezy.tests,
           python3-fastimport (>= 0.9.8)
-Provides: bzr, bzr-stats, bzr-email, bzr-upload, bzr-git, bzr-fastimport
 Description: easy to use distributed version control system
  Breezy is a distributed version control system designed to be easy to
  use and intuitive, able to adapt to many file formats and workflows, reliable,
@@ -51,11 +62,41 @@
  Out of the box, Breezy supports both the Git and Bazaar repository
  formats.
 
+Package: python-breezy
+Architecture: any
+Section: python
+Depends: python-configobj,
+         python-patiencediff,
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
+Recommends: ca-certificates,
+            python-launchpadlib,
+            python-github,
+            python-gitlab,
+            ssh-client | python-paramiko,
+            python-dulwich (>= 0.19.11),
+            python-gpg,
+Conflicts: python-paramiko (<< 1.14.1), python-dulwich (<< 0.19.11), brz-debian (<< 2.8.27)
+Suggests: python-breezy-dbg,
+          python-breezy.tests,
+          python-fastimport,
+          python-kerberos (>= 1.0+svn2455-1),
+          python-paramiko,
+          xdg-utils
+Provides: ${python:Provides}
+Description: distributed version control system - Python 2 library
+ Breezy is a distributed version control system designed to be easy to
+ use and intuitive, able to adapt to many file formats and workflows, reliable,
+ and easily extendable.
+ .
+ This package contains the Breezy Python 2 library.
+
 Package: python3-breezy
 Architecture: any
 Section: python
 Depends: python3-configobj,
-         python3-six,
+         python3-patiencediff,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -66,7 +107,7 @@
             ssh-client | python3-paramiko,
             python3-dulwich (>= 0.19.11),
             python3-gpg,
-Conflicts: python3-paramiko (<< 1.14.1), python3-dulwich (<< 0.19.11)
+Conflicts: python3-paramiko (<< 1.14.1), python3-dulwich (<< 0.19.11), brz-debian (<< 2.8.27)
 Suggests: python3-breezy-dbg,
           python3-breezy.tests,
           python3-fastimport,
@@ -80,6 +121,28 @@
  and easily extendable.
  .
  This package contains the Breezy Python 3 library.
+
+Package: python-breezy.tests
+Architecture: all
+Section: python
+Depends: python-breezy (<= ${source:Version}.1~),
+         python-breezy (>= ${source:Version}),
+         python-testtools (>= 0.9.5~),
+         ${misc:Depends},
+         ${python:Depends}
+Suggests: python-subunit
+Provides: ${python:Provides}
+Replaces: python-breezy (<< 2.4.0~beta1-2)
+Description: distributed version control system - Python 2 testsuite
+ Breezy is a distributed version control system designed to be easy to
+ use and intuitive, able to adapt to many file formats and workflows, reliable,
+ and easily extendable.
+ .
+ This package contains the breezy test infrastructure and testsuite,
+ which is required to run the 'brz selftest' command and to run
+ plugin tests.
+ .
+ This package contains the Python 2 version.
 
 Package: python3-breezy.tests
 Architecture: all

## breezy 3.1.0~bzr7372

=== debian/changelog ===
breezy (3.1.0~bzr7372-1) experimental; urgency=medium

  * New upstream snapshot.
  * Drop patch 09_fix_bedding: merged upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 16 Jul 2019 00:08:46 +0000

breezy (3.1.0~bzr7371-2) experimental; urgency=medium

  * Add patch 09_fix_bedding: fix tests when the home directory does not
    exist.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Jul 2019 14:37:37 +0000

breezy (3.1.0~bzr7371-1) experimental; urgency=medium

  * Drop patch 12_diff_tree_reference: applied upstream.
  * Drop patch 24_revno_order: applied upstream.
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Jul 2019 11:25:01 +0000

## breezy 3.1.0

=== Makefile ===
# Copyright (C) 2005-2012, 2016, 2017 Canonical Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# A relatively simple Makefile to assist in building parts of brz. Mostly for
# building documentation, etc.


### Core Stuff ###

SHELL=bash
PYTHON?=python3
PYTHON2?=python2
PYTHON3?=python3
PYTHON27=python27
BRZ_TARGET=release
PLUGIN_TARGET=plugin-release
PYTHON_BUILDFLAGS=
BRZ_PLUGIN_PATH=-site:-user

# Shorter replacement for $(sort $(wildcard <arg>)) as $(call sw,<arg>)
sw = $(sort $(wildcard $(1)))


.PHONY: all clean realclean extensions flake8 api-docs check-nodocs check

all: extensions

extensions:
	@echo "building extension modules."
	$(PYTHON) setup.py build_ext -i $(PYTHON_BUILDFLAGS)

check: docs check-nodocs

check-nodocs: check-nodocs2 check-nodocs3

check-nodocs3:
	# Generate a stream for PQM to watch.
	-$(RM) -f selftest.log
	echo `date` ": selftest starts" 1>&2
	set -o pipefail; BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON3) -Werror -Wignore::ImportWarning -Wignore::PendingDeprecationWarning -Wignore::DeprecationWarning -O \
	  ./brz selftest -Oselftest.timeout=120 --strict \
	  --subunit2 $(tests) | tee selftest.log | subunit-2to1
	echo `date` ": selftest ends" 1>&2
	# An empty log file should catch errors in the $(PYTHON3)
	# command above (the '|' swallow any errors since 'make'
	# sees the 'tee' exit code for the whole line
	if [ ! -s selftest.log ] ; then exit 1 ; fi
	# Check that there were no errors reported.
	subunit-stats < selftest.log

check-nodocs2: extensions
	# Generate a stream for PQM to watch.
	-$(RM) -f selftest.log
	echo `date` ": selftest starts" 1>&2
	set -o pipefail; BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON) -Werror -Wignore::ImportWarning -Wignore::DeprecationWarning -O \
	  ./brz selftest -Oselftest.timeout=120 \
	  --subunit2 $(tests) | tee selftest.log | subunit-2to1
	echo `date` ": selftest ends" 1>&2
	# An empty log file should catch errors in the $(PYTHON)
	# command above (the '|' swallow any errors since 'make'
	# sees the 'tee' exit code for the whole line
	if [ ! -s selftest.log ] ; then exit 1 ; fi
	# Check that there were no errors reported.
	subunit-stats < selftest.log

check-ci: docs extensions
	# FIXME: Remove -Wignore::FutureWarning once
	# https://github.com/paramiko/paramiko/issues/713 is not a concern
	# anymore -- vila 2017-05-24
	set -o pipefail; \
	BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON2) -Werror -Wignore::FutureWarning -Wignore::DeprecationWarning -Wignore::ImportWarning -Wignore::ResourceWarning -O \
	  ./brz selftest -v --parallel=fork -Oselftest.timeout=120 --subunit2 \
	  | subunit-filter -s --passthrough --rename "^" "python2."; \
	  BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON3) -Werror -Wignore::FutureWarning -Wignore::DeprecationWarning -Wignore::PendingDeprecationWarning -Wignore::ImportWarning -Wignore::ResourceWarning -O \
	  ./brz selftest -v --parallel=fork -Oselftest.timeout=120 --subunit2 \
	  | subunit-filter -s --passthrough --rename "^" "python3."

# Run Python style checker (apt-get install flake8)
#
# Note that at present this gives many false warnings, because it doesn't
# know about identifiers loaded through lazy_import.
flake8:
	flake8

clean:
	$(PYTHON) setup.py clean
	-find . -name "*.pyc" -o -name "*.pyo" -o -name "*.so" | xargs rm -f

realclean: clean
	# Remove files which are autogenerated but included by the tarball.
	rm -f breezy/*_pyx.c breezy/bzr/*_pyx.c
	rm -f breezy/_simple_set_pyx.h breezy/_simple_set_pyx_api.h

# build tags for emacs and vim
TAGS:
	ctags -R -e breezy

tags:
	ctags -R breezy

# these are treated as phony so they'll always be rebuilt - it's pretty quick
.PHONY: TAGS tags


### Documentation ###

docs: docs-sphinx

clean-docs: clean-sphinx

html-docs: html-sphinx


### Man-page Documentation ###

MAN_DEPENDENCIES = breezy/builtins.py \
	$(call sw,breezy/*.py) \
	$(call sw,breezy/*/*.py) \
	tools/generate_docs.py \
	$(call sw,$(addsuffix /*.txt, breezy/help_topics/en)) 

MAN_PAGES = man1/brz.1
man1/brz.1: $(MAN_DEPENDENCIES)
	mkdir -p $(dir $@)
	$(PYTHON) tools/generate_docs.py -o $@ man


### Sphinx-style Documentation ###

# Build the documentation. To keep the dependencies down to a minimum
# for distro packagers, we only build the html documentation by default.
# Sphinx 0.6 or later is preferred for the best rendering, though
# Sphinx 0.4 or later should work. See http://sphinx.pocoo.org/index.html
# for installation instructions.
docs-sphinx: html-sphinx

# Clean out generated documentation
clean-sphinx:
	$(MAKE) -C doc/en clean
	$(MAKE) -C doc/developers clean

SPHINX_DEPENDENCIES = \
        doc/en/release-notes/index.txt \
        doc/en/user-reference/index.txt \
	doc/developers/Makefile \
	doc/developers/make.bat

NEWS_FILES = $(call sw,doc/en/release-notes/brz-*.txt)

doc/en/user-reference/index.txt: $(MAN_DEPENDENCIES)
	LANGUAGE=C $(PYTHON) tools/generate_docs.py -o $@ rstx

doc/en/release-notes/index.txt: $(NEWS_FILES) tools/generate_release_notes.py
	$(PYTHON) tools/generate_release_notes.py $@ $(NEWS_FILES)

doc/%/Makefile: doc/en/Makefile
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

doc/%/make.bat: doc/en/make.bat
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

# Build the html docs using Sphinx.
html-sphinx: $(SPHINX_DEPENDENCIES)
	$(MAKE) -C doc/en html
	$(MAKE) -C doc/developers api html

# Build the PDF docs using Sphinx. This requires numerous LaTeX
# packages. See http://sphinx.pocoo.org/builders.html for details.
# Note: We don't currently build PDFs for the Russian docs because
# they require additional packages to be installed (to handle
# Russian hyphenation rules, etc.)
pdf-sphinx: $(SPHINX_DEPENDENCIES)
	$(MAKE) -C doc/en latex
	$(MAKE) -C doc/developers latex
	$(MAKE) -C doc/en/_build/latex all-pdf
	$(MAKE) -C doc/developers/_build/latex all-pdf

# Build the CHM (Windows Help) docs using Sphinx.
# Note: HtmlHelp Workshop needs to be used on the generated hhp files
# to generate the final chm files.
chm-sphinx: $(SPHINX_DEPENDENCIES)
	$(MAKE) -C doc/en htmlhelp
	$(MAKE) -C doc/developers htmlhelp


# Build the texinfo files using Sphinx.
texinfo-sphinx: $(SPHINX_DEPENDENCIES)
	$(MAKE) -C doc/en texinfo
	$(MAKE) -C doc/developers texinfo

### Documentation Website ###

# Where to build the website
DOC_WEBSITE_BUILD = build_doc_website

# Build and package docs into a website, complete with downloads.
doc-website: html-sphinx pdf-sphinx
	$(PYTHON) tools/package_docs.py doc/en $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/developers $(DOC_WEBSITE_BUILD)


### Miscellaneous Documentation Targets ###

# build a png of our performance task list
# this is no longer built by default; you can build it if you want to look at it
doc/developers/performance.png: doc/developers/performance.dot
	@echo Generating $@
	@dot -Tpng $< -o$@ || echo "Dot not installed; skipping generation of $@"


### Windows Support ###

# make all the installers completely from scratch, using zc.buildout
# to fetch the dependencies
# These are files that need to be copied into the build location to boostrap
# the build process.
# Note that the path is relative to tools/win32
BUILDOUT_FILES = buildout.cfg \
	buildout-templates/bin/build-installer.bat.in \
	ostools.py bootstrap.py

installer-all:
	@echo Make all the installers from scratch
	@# Build everything in a separate directory, to avoid cluttering the WT
	$(PYTHON) tools/win32/ostools.py makedir build-win32
	@# cd to tools/win32 so that the relative paths are copied correctly
	cd tools/win32 && $(PYTHON) ostools.py copytree $(BUILDOUT_FILES) ../../build-win32
	@# There seems to be a bug in gf.release.brz, It doesn't correctly update
	@# existing release directories, so delete them manually before building
	@# It means things may be rebuilt that don't need to be, but at least
	@# it will be correct when they do.
	cd build-win32 && $(PYTHON) ostools.py remove release */release
	cd build-win32 && $(PYTHON) bootstrap.py
	cd build-win32 && bin/buildout
	cd build-win32 && bin/build-installer.bat $(BRZ_TARGET) $(PLUGIN_TARGET)


clean-installer-all:
	$(PYTHON) tools/win32/ostools.py remove build-win32

# make brz.exe for win32 with py2exe
exe:
	@echo *** Make brz.exe
	$(PYTHON) tools/win32/ostools.py remove breezy/*.pyd
	$(PYTHON) setup.py build_ext -i -f $(PYTHON_BUILDFLAGS)
	$(PYTHON) setup.py py2exe > py2exe.log
	$(PYTHON) tools/win32/ostools.py copytodir tools/win32/start_brz.bat win32_brz.exe
	$(PYTHON) tools/win32/ostools.py copytodir tools/win32/bazaar.url win32_brz.exe

# win32 installer for brz.exe
installer: exe copy-docs
	@echo *** Make Windows installer
	$(PYTHON) tools/win32/run_script.py cog.py -d -o tools/win32/brz.iss tools/win32/brz.iss.cog
	iscc /Q tools/win32/brz.iss

py-inst-27: docs
	$(PYTHON27) setup.py bdist_wininst --install-script="brz-win32-bdist-postinstall.py" -d .

python-installer: py-inst-27


copy-docs: docs
	$(PYTHON) tools/win32/ostools.py copytodir README win32_brz.exe/doc
	$(PYTHON) tools/win32/ostools.py copytree $(WEB_DOCS) win32_brz.exe

# clean on win32 all installer-related files and directories
clean-win32: clean-docs
	$(PYTHON) tools/win32/ostools.py remove build
	$(PYTHON) tools/win32/ostools.py remove win32_brz.exe
	$(PYTHON) tools/win32/ostools.py remove py2exe.log
	$(PYTHON) tools/win32/ostools.py remove tools/win32/brz.iss
	$(PYTHON) tools/win32/ostools.py remove brz-setup*.exe
	$(PYTHON) tools/win32/ostools.py remove brz-*win32.exe
	$(PYTHON) tools/win32/ostools.py remove dist


# i18n targets

.PHONY: update-pot po/brz.pot
update-pot: po/brz.pot

TRANSLATABLE_PYFILES:=$(shell find breezy -name '*.py' \
		| grep -v 'breezy/tests/' \
		| grep -v 'breezy/doc' \
		)

po/brz.pot: $(PYFILES) $(DOCFILES)
	$(PYTHON) ./brz export-pot --include-duplicates > po/brz.pot
	echo $(TRANSLATABLE_PYFILES) | xargs \
	  xgettext --package-name "brz" \
	  --msgid-bugs-address "<bazaar@canonical.com>" \
	  --copyright-holder "Canonical" \
	  --from-code ISO-8859-1 --join --sort-by-file --add-comments=i18n: \
	  -d bzr -p po -o brz.pot


### Packaging Targets ###

.PHONY: dist check-dist-tarball

# build a distribution source tarball
dist: 
	version=`./brz version --short` && \
	echo Building distribution of brz $$version && \
	expbasedir=`mktemp -t -d tmp_brz_dist.XXXXXXXXXX` && \
	expdir=$$expbasedir/brz-$$version && \
	tarball=$$PWD/../breezy-$$version.tar.gz && \
	$(MAKE) clean && \
	$(MAKE) && \
	$(PYTHON) setup.py sdist -d $$PWD/.. && \
	gpg --detach-sign --armor $$tarball && \
	rm -rf $$expbasedir

# run all tests in a previously built tarball
check-dist-tarball:
	tmpdir=`mktemp -t -d tmp_brz_check_dist.XXXXXXXXXX` && \
	version=`./brz version --short` && \
	tarball=$$PWD/../breezy-$$version.tar.gz && \
	tar Cxz $$tmpdir -f $$tarball && \
	$(MAKE) -C $$tmpdir/breezy-$$version check && \
	rm -rf $$tmpdir

=== debian/changelog ===
breezy (3.1.0-8) unstable; urgency=medium

  * Add patch 21_extssh: add support for extssh URLs.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 06 Dec 2020 15:06:43 +0000

breezy (3.1.0-7) unstable; urgency=medium

  * Add patch 19_is_alive: avoid Thread.isAlive, not available in Python
    3.9. Closes: #975463
  * Add patch 20_urlescape: drop test for exception which isn't raised
    on Python 3.9.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Nov 2020 18:35:25 +0000

breezy (3.1.0-6) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Submit.
  * Add patch 18_dulwich_compat, fixing compatibility with newer
    versions of Dulwich. Closes: #972682
  * Add patch meliae: fix support with meliae on Python 3.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 08 Nov 2020 03:56:58 +0000

breezy (3.1.0-5) unstable; urgency=medium

  * Add Conflicts/Provides on git-remote-bzr and bzr-git. Closes: #963029

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 28 Jul 2020 00:26:23 +0000

breezy (3.1.0-4) unstable; urgency=medium

  * Ship git-remote-bzr. Closes: #939297
    + Add patch 17_remote_bzr_warning: warn about status of git-remote-bzr.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 16 Jun 2020 22:02:14 +0000

breezy (3.1.0-3) unstable; urgency=medium

  * Build without subunit to make it easier to spot which tests are
    failing and why.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 09 Jun 2020 18:50:00 +0000

breezy (3.1.0-2) unstable; urgency=medium

  * Disable two more flaky tests:
    bb.test_branch.TestRemoteBranch.test_branch_{remote,local}_remote.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 09 Jun 2020 12:29:42 +0000

breezy (3.1.0-1) unstable; urgency=medium

  * New upstream release.
    + Fixes compatibility with newer Dulwich. Closes: #962452

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 08 Jun 2020 22:25:15 +0000

breezy (3.1~alpha1-1) unstable; urgency=medium

  * Update standards version to 4.5.0, no changes needed.
  * New upstream release.
   +  Drop patches applied upstream: 12_diff_tree_reference, 19_probe_url,
      20_python3, 21_fix_ancient_time, 22_fs_encoding, 23_xml_serializing
      24_paramiko_compat, 25_line_buffering.
  * Add python3-patiencediff dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 22 May 2020 12:24:17 +0000

breezy (3.0.2-5) unstable; urgency=medium

  * Disable export_pot tests that fail on Python 3.8. Closes: #953940

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 15 Mar 2020 10:44:50 +0000

=== debian/control ===
Source: breezy
Section: vcs
Priority: optional
Maintainer: Debian Breezy Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: bash-completion,
               ca-certificates,
               dh-python,
               debhelper (>= 12),
               fdupes,
               cython3-dbg (>= 0.17),
               python3 (>= 2.6.6-3),
               python3-all-dbg (>= 2.6.6-3),
               python3-all-dev (>= 2.6.6-3),
               python3-configobj (>= 4.7.2+ds-2),
               python3-coverage <!nocheck>,
               python3-dulwich (>= 0.19.11),
               python3-docutils,
               python3-fastimport (>= 0.9.8),
               python3-launchpadlib,
               python3-paramiko,
               python3-patiencediff,
               python3-six,
               python3-sphinx (>= 1.0.7+dfsg),
               python3-subunit <!nocheck>,
               python3-testtools (>= 0.9.5~) <!nocheck>,
               debhelper-compat (= 12)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Bzr: https://code.breezy-vcs.org/breezy/unstable
Vcs-Browser: https://code.breezy-vcs.org/breezy/unstable
Homepage: https://www.breezy-vcs.org/

Package: brz
Recommends: python3-gpg, python3-dulwich (>= 0.19.11)
Architecture: all
Conflicts: git-remote-bzr, bzr-git (<< 0.6.13+bzr1650+brz1), bzr (<< 2.7.0+bzr6622-1)
Depends: python3-breezy (<= ${source:Version}.1~),
         python3-breezy (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: brz-doc,
          python3-breezy.tests,
          python3-fastimport (>= 0.9.8)
Provides: bzr, bzr-stats, bzr-email, bzr-upload, bzr-git, bzr-fastimport, git-remote-bzr
Description: easy to use distributed version control system
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many file formats and workflows, reliable,
 and easily extendable.
 .
 Out of the box, Breezy supports both the Git and Bazaar repository
 formats.

Package: python3-breezy
Architecture: any
Section: python
Depends: python3-configobj,
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: ca-certificates,
            python3-launchpadlib,
            python3-github,
            python3-gitlab,
            ssh-client | python3-paramiko,
            python3-dulwich (>= 0.19.11),
            python3-gpg,
Conflicts: python3-paramiko (<< 1.14.1), python3-dulwich (<< 0.19.11)
Suggests: python3-breezy-dbg,
          python3-breezy.tests,
          python3-fastimport,
          python3-kerberos (>= 1.0+svn2455-1),
          python3-paramiko,
          python3-patiencediff,
          xdg-utils,
Provides: ${python3:Provides}
Description: distributed version control system - Python 3 library
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many file formats and workflows, reliable,
 and easily extendable.
 .
 This package contains the Breezy Python 3 library.

Package: python3-breezy.tests
Architecture: all
Section: python
Depends: python3-breezy (<= ${source:Version}.1~),
         python3-breezy (>= ${source:Version}),
         python3-testtools (>= 0.9.5~),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-subunit
Provides: ${python3:Provides}
Replaces: python3-breezy (<< 2.4.0~beta1-2)
Description: distributed version control system - Python 3 testsuite
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many file formats workflows, reliable, and
 easily extendable.
 .
 This package contains the breezy test infrastructure and testsuite,
 which is required to run the 'brz selftest' command and to run
 plugin tests.
 .
 This package contains the Python 3 version.

Package: brz-doc
Multi-Arch: foreign
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: brz
Description: easy to use distributed version control system (documentation)
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many file formats and workflows, reliable,
 and easily extendable.
 .
 This package provides the documentation.

=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,11 @@
 	BRZ_PLUGIN_PATH=-site:-user \
 	LC_ALL=C.UTF-8 \
 	PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VERSION)_breezy/build \
-	$(shell py3versions -d) ./brz -Derror selftest -v --parallel=fork \
+	$(shell py3versions -d) ./brz -Derror selftest -v \
 	-Oselftest.timeout=6000 -x bash_completion \
-	-x breezy.tests.test_transport.TestSSHConnections.test_bzr_connect_to_bzr_ssh
+	-x breezy.tests.test_transport.TestSSHConnections.test_bzr_connect_to_bzr_ssh -x test_export_pot \
+	-x breezy.tests.blackbox.test_branch.TestRemoteBranch.test_branch_local_remote \
+	-x breezy.tests.blackbox.test_branch.TestRemoteBranch.test_branch_remote_remote
 endif
 
 override_dh_auto_clean:

=== debian/tests/control ===
Tests: testsuite3
Depends: brz, python3-breezy.tests, python3-subunit, ca-certificates, python3-dulwich (>= 0.19.11), python3-coverage, python3-launchpadlib
Restrictions: allow-stderr

## breezy 3.2.1+bzr7585

=== Makefile ===
--- 
+++ 
@@ -22,9 +22,7 @@
 
 SHELL=bash
 PYTHON?=python3
-PYTHON2?=python2
 PYTHON3?=python3
-PYTHON27=python27
 BRZ_TARGET=release
 PLUGIN_TARGET=plugin-release
 PYTHON_BUILDFLAGS=
@@ -81,10 +79,7 @@
 	# https://github.com/paramiko/paramiko/issues/713 is not a concern
 	# anymore -- vila 2017-05-24
 	set -o pipefail; \
-	BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON2) -Werror -Wignore::FutureWarning -Wignore::DeprecationWarning -Wignore::ImportWarning -Wignore::ResourceWarning -O \
-	  ./brz selftest -v --parallel=fork -Oselftest.timeout=120 --subunit2 \
-	  | subunit-filter -s --passthrough --rename "^" "python2."; \
-	  BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON3) -Werror -Wignore::FutureWarning -Wignore::DeprecationWarning -Wignore::PendingDeprecationWarning -Wignore::ImportWarning -Wignore::ResourceWarning -O \
+	BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON3) -Werror -Wignore::FutureWarning -Wignore::DeprecationWarning -Wignore::PendingDeprecationWarning -Wignore::ImportWarning -Wignore::ResourceWarning -O \
 	  ./brz selftest -v --parallel=fork -Oselftest.timeout=120 --subunit2 \
 	  | subunit-filter -s --passthrough --rename "^" "python3."
 
@@ -258,7 +253,7 @@
 	$(PYTHON) setup.py build_ext -i -f $(PYTHON_BUILDFLAGS)
 	$(PYTHON) setup.py py2exe > py2exe.log
 	$(PYTHON) tools/win32/ostools.py copytodir tools/win32/start_brz.bat win32_brz.exe
-	$(PYTHON) tools/win32/ostools.py copytodir tools/win32/bazaar.url win32_brz.exe
+	$(PYTHON) tools/win32/ostools.py copytodir tools/win32/breezy.url win32_brz.exe
 
 # win32 installer for brz.exe
 installer: exe copy-docs
@@ -266,15 +261,15 @@
 	$(PYTHON) tools/win32/run_script.py cog.py -d -o tools/win32/brz.iss tools/win32/brz.iss.cog
 	iscc /Q tools/win32/brz.iss
 
-py-inst-27: docs
-	$(PYTHON27) setup.py bdist_wininst --install-script="brz-win32-bdist-postinstall.py" -d .
-
-python-installer: py-inst-27
-
+py-inst-37: docs
+	$(PYTHON37) setup.py bdist_wininst --install-script="brz-win32-bdist-postinstall.py" -d .
+
+python-installer: py-inst-37
 
 copy-docs: docs
 	$(PYTHON) tools/win32/ostools.py copytodir README win32_brz.exe/doc
-	$(PYTHON) tools/win32/ostools.py copytree $(WEB_DOCS) win32_brz.exe
+	$(PYTHON) tools/win32/ostools.py copydir doc/en/_build/html win32_brz.exe/doc
+	$(PYTHON) tools/win32/ostools.py copydir doc/developers/_build/html win32_brz.exe/doc/developers
 
 # clean on win32 all installer-related files and directories
 clean-win32: clean-docs

=== debian/changelog ===
breezy (3.2.1+bzr7585-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:22:49 +0000

breezy (3.2.1+bzr7585-1) unstable; urgency=medium

  * Bump minimum dulwich to 0.20.31. Closes: #1004413
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 27 Jan 2022 19:57:34 +0000

breezy (3.2.1+bzr7584-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Jan 2022 18:09:03 +0000

breezy (3.2.1+bzr7581-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/upstream/metadata: Drop unnecessary Homepage: field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Jan 2022 21:05:26 +0000

breezy (3.2.1+bzr7568-1) unstable; urgency=medium

  * Add patch 09_disable_logs: fix permission denied errors during test
    run.
  * Set upstream metadata fields: Security-Contact.
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 29 Dec 2021 19:30:03 +0000

breezy (3.2.1+bzr7561-1) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Re-export upstream signing key without extra signatures.
  * Update standards version to 4.6.0, no changes needed.
  * New upstream snapshot.
   + Add dependency on python3-fastbencode.
  * Source-only build. Closes: #998031
  * New upstream snapshot.
    + Fixes compatibility with Python 3.9. Closes: #995410

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 17 Nov 2021 08:25:57 +0000

breezy (3.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Jul 2021 16:08:37 +0100

breezy (3.2.0+bzr7543-3) unstable; urgency=medium

  * Bump dependency on dulwich - we need at least version 0.20.23.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 06 Jul 2021 17:29:06 +0100

breezy (3.2.0+bzr7543-2) unstable; urgency=medium

  * Upgrade dulwich from recommends to a hard dependency for the moment.
    See bug 988166.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 13 Jun 2021 20:40:35 +0100

breezy (3.2.0+bzr7543-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 12 Jun 2021 15:26:09 +0100

breezy (3.2.0+bzr7542-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 May 2021 22:42:44 +0100

breezy (3.2.0-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Add missing python3-setuptools to Build-Depends. (Closes: #983015)

  [ Jelmer Vernooĳ ]
  * New upstream release.
  * Update watch file format version to 4.

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 03 May 2021 17:10:32 +0100

=== debian/control ===
--- 
+++ 
@@ -14,25 +14,27 @@
                python3-all-dev (>= 2.6.6-3),
                python3-configobj (>= 4.7.2+ds-2),
                python3-coverage <!nocheck>,
-               python3-dulwich (>= 0.19.11),
+               python3-dulwich (>= 0.20.31),
                python3-docutils,
+               python3-fastbencode,
                python3-fastimport (>= 0.9.8),
                python3-launchpadlib,
                python3-paramiko,
                python3-patiencediff,
+               python3-setuptools,
                python3-six,
                python3-sphinx (>= 1.0.7+dfsg),
                python3-subunit <!nocheck>,
                python3-testtools (>= 0.9.5~) <!nocheck>,
-               debhelper-compat (= 12)
-Standards-Version: 4.5.0
+               debhelper-compat (= 13)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Bzr: https://code.breezy-vcs.org/breezy/unstable
 Vcs-Browser: https://code.breezy-vcs.org/breezy/unstable
 Homepage: https://www.breezy-vcs.org/
 
 Package: brz
-Recommends: python3-gpg, python3-dulwich (>= 0.19.11)
+Recommends: python3-gpg, python3-dulwich (>= 0.20.31)
 Architecture: all
 Conflicts: git-remote-bzr, bzr-git (<< 0.6.13+bzr1650+brz1), bzr (<< 2.7.0+bzr6622-1)
 Depends: python3-breezy (<= ${source:Version}.1~),
@@ -56,15 +58,16 @@
 Section: python
 Depends: python3-configobj,
          python3-six,
+         python3-fastbencode,
          ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         python3-dulwich (>= 0.20.31)
 Recommends: ca-certificates,
             python3-launchpadlib,
             python3-github,
             python3-gitlab,
             ssh-client | python3-paramiko,
-            python3-dulwich (>= 0.19.11),
             python3-gpg,
 Conflicts: python3-paramiko (<< 1.14.1), python3-dulwich (<< 0.19.11)
 Suggests: python3-breezy-dbg,

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 endif
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	[ -d debian/brzhome ] || mkdir debian/brzhome
 	$(CONCURRENCY) \
 	BRZ_HOME=debian/brzhome \
@@ -30,7 +29,6 @@
 	-x breezy.tests.test_transport.TestSSHConnections.test_bzr_connect_to_bzr_ssh -x test_export_pot \
 	-x breezy.tests.blackbox.test_branch.TestRemoteBranch.test_branch_local_remote \
 	-x breezy.tests.blackbox.test_branch.TestRemoteBranch.test_branch_remote_remote
-endif
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -73,7 +71,7 @@
 		  debian/python3-breezy-dbg/usr/man
 
 override_dh_auto_missing:
-	dh_missing --fail-missing
+	dh_missing
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/tests/control ===
Tests: testsuite3
Depends: brz, python3-breezy.tests, python3-subunit, ca-certificates, python3-dulwich (>= 0.20.31), python3-coverage, python3-launchpadlib
Restrictions: allow-stderr
